# Generated by rust2rpm 22
%bcond_without check

%global crate inferno

Name:           rust-inferno
Version:        0.11.7
Release:        %autorelease
Summary:        Rust port of the FlameGraph performance profiling tool suite

License:        CDDL-1.0
URL:            https://crates.io/crates/inferno
Source0:        %{crates_source}
Source1:        LICENSE.dependencies
# Manually created patch for downstream crate metadata changes
# * drop unused, benchmark-only criterion dev-dependency to speed up builds
Patch:          inferno-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Rust port of the FlameGraph performance profiling tool suite.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# ASL 2.0 or MIT
# CDDL-1.0
# MIT
# MIT or ASL 2.0
# Unlicense or MIT
# zlib or ASL 2.0 or MIT
License:        CDDL-1.0 and MIT
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc README.md
%{_bindir}/inferno-collapse-dtrace
%{_bindir}/inferno-collapse-guess
%{_bindir}/inferno-collapse-perf
%{_bindir}/inferno-collapse-sample
%{_bindir}/inferno-collapse-vsprof
%{_bindir}/inferno-collapse-vtune
%{_bindir}/inferno-diff-folded
%{_bindir}/inferno-flamegraph

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+clap-devel %{_description}

This package contains library source intended for building other packages which
use the "clap" feature of the "%{crate}" crate.

%files       -n %{name}+clap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cli-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cli-devel %{_description}

This package contains library source intended for building other packages which
use the "cli" feature of the "%{crate}" crate.

%files       -n %{name}+cli-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crossbeam-channel-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crossbeam-channel-devel %{_description}

This package contains library source intended for building other packages which
use the "crossbeam-channel" feature of the "%{crate}" crate.

%files       -n %{name}+crossbeam-channel-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crossbeam-utils-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crossbeam-utils-devel %{_description}

This package contains library source intended for building other packages which
use the "crossbeam-utils" feature of the "%{crate}" crate.

%files       -n %{name}+crossbeam-utils-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dashmap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dashmap-devel %{_description}

This package contains library source intended for building other packages which
use the "dashmap" feature of the "%{crate}" crate.

%files       -n %{name}+dashmap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+env_logger-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+env_logger-devel %{_description}

This package contains library source intended for building other packages which
use the "env_logger" feature of the "%{crate}" crate.

%files       -n %{name}+env_logger-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+indexmap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+indexmap-devel %{_description}

This package contains library source intended for building other packages which
use the "indexmap" feature of the "%{crate}" crate.

%files       -n %{name}+indexmap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+multithreaded-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+multithreaded-devel %{_description}

This package contains library source intended for building other packages which
use the "multithreaded" feature of the "%{crate}" crate.

%files       -n %{name}+multithreaded-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nameattr-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nameattr-devel %{_description}

This package contains library source intended for building other packages which
use the "nameattr" feature of the "%{crate}" crate.

%files       -n %{name}+nameattr-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+num_cpus-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+num_cpus-devel %{_description}

This package contains library source intended for building other packages which
use the "num_cpus" feature of the "%{crate}" crate.

%files       -n %{name}+num_cpus-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
cp %{SOURCE1} .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip tests that require files which are not included in published crates
%cargo_test -- -- --skip test_collapse_multi_dtrace --skip test_collapse_multi_perf --skip test_multiple_skip_after --skip test_one_skip_after
%endif

%changelog
%autochangelog
